## trustedqsl 1.14.2

=== apps/CMakeLists.txt ===
project(tqsl)

set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")

string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})

if(WIN32)
set(wxWidgets_USE_STATIC ON)
add_definitions(-DCURL_STATICLIB)
endif()

find_package(CURL REQUIRED)

find_package(wxWidgets COMPONENTS core base adv html REQUIRED)

find_package(ZLIB REQUIRED)

include(${wxWidgets_USE_FILE})

if(APPLE)
find_library(CARBON_LIBRARY Carbon)
find_path(CARBON_INCLUDE_DIR Carbon.h)
endif()

include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR})

#get version from file

file(READ "tqslversion.ver" TQSLVERSION)
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_POINT ${TQSLVERSION})


#get build # with git

find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")

if(GIT_PROG) #we can use git
execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
	if(NOT GITERROR) #git ran alright
		set(BUILD ${HEAD_COMMIT})
	endif()
endif()

if(BUILD) 
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
else() #hope this is a source distribution, which will always include a correct tqslbuild
	if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
		#but otherwise someone downloaded a snapshot without a buildfile
		set(BUILD "unknown")
		configure_file("${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
	endif()
endif()

if(WIN32)
set(TQSLLIB_NAME tqsllib2)
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(TQSL_RCFILE "tqsl.rc")
set(TQSLCERT_RCFILE "tqslcert.rc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSLCERT_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSLCERT_RCFILE}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
else()
set(TQSLLIB_NAME tqsllib)
endif()

if(APPLE)
set(OSX_ICONFILE "tqslicons.icns")
set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
set(TQSL_RCFILE ${OSX_ICONFILE})
set(TQSLCERT_RCFILE ${OSX_ICONFILE})
endif()

if(NOT WIN32) #rpath setup
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
endif()


set(TQSLCERT_SRC tqslcert.cpp crqwiz.cpp dxcc.cpp certtree.cpp tqslcert_prefs.cpp getpassword.cpp extwizard.cpp loadcertwiz.cpp wxutil.cpp)
set(TQSLCERT_HDR certtree.h tqslcertctrls.h util.h dxcc.h crqwiz.h getpassword.h extwizard.h tqslcert_prefs.h getpassword.h loadcertwiz.h wxutil.h tqslbuild.h)
set(TQSLCERT_XPM cert.xpm nocert.xpm broken-cert.xpm folder.xpm key.xpm)

add_executable(tqslcert WIN32 MACOSX_BUNDLE ${TQSLCERT_SRC} ${TQSLCERT_HDR} ${TQSLCERT_XPM} ${TQSLCERT_RCFILE})

set(TQSL_SRC tqsl.cpp extwizard.cpp tqslwiz.cpp dxcc.cpp stationdial.cpp qsodatadialog.cpp tqslvalidator.cpp tqsl_prefs.cpp wxutil.cpp)
set(TQSL_HDR tqslcert.h tqslapp.h tqslwiz.h qsodatadialog.h tqslexcept.h tqslpaths.h stationdial.h dxcc.h tqsl_prefs.h extwizard.h certtree.h tqslvalidator.h tqslbuild.h)
set(TQSL_XPM left.xpm right.xpm bottom.xpm top.xpm key.xpm)

add_executable(tqsl WIN32 MACOSX_BUNDLE ${TQSL_SRC} ${TQSL_HDR} ${TQSL_XPM} ${TQSL_RCFILE})

target_link_libraries(tqslcert ${TQSLLIB_NAME} ${wxWidgets_LIBRARIES} ${CARBON_LIBRARY})
target_link_libraries(tqsl ${TQSLLIB_NAME}
  ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY})

if(NOT APPLE AND NOT WIN32)
add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
install(TARGETS tqsl DESTINATION bin)
install(TARGETS tqslcert DESTINATION bin)
install(DIRECTORY help DESTINATION share/TrustedQSL)
install(FILES trustedqsl.5 DESTINATION share/man/man5)
endif()

=== src/CMakeLists.txt ===
project (tqsllib)

set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")

string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})

if(WIN32)
  add_definitions(-DXML_STATIC)
endif()

find_package(EXPAT REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(ZLIB REQUIRED)
FIND_PACKAGE(BDB REQUIRED)

set(TQSLLIB_VERSION_MAJOR 2)
set(TQSLLIB_VERSION_MINOR 3)
set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")

add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})
add_definitions(-DTQSLLIB_VERSION_MINOR=${TQSLLIB_VERSION_MINOR})

option(TQSLLIB_STATIC "Build static tqsllib" OFF)
if (${TQSLLIB_STATIC})
set(TQSLLIBTYPE STATIC)
else()
set(TQSLLIBTYPE SHARED)
endif()

if(WIN32)
set(TQSLLIB_RCFILE "tqsllib.rc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}")
set(TQSLLIBNAME "tqsllib2") #for compatibility with existing software
else()
set(TQSLLIBNAME "tqsllib")
endif()

set(TQSLLIB_SRC tqsllib.cpp openssl_cert.cpp adif.cpp xml.cpp location.cpp tqslconvert.cpp cabrillo.cpp)
set(TQSLLIB_HDR xml.h openssl_cert.h tqslexc.h tqsllib.h tqslerrno.h cabrillo.h adif.h tqslconvert.h)

if(APPLE)
find_library(CARBON_LIBRARY Carbon)
find_path(CARBON_INCLUDE_DIR Carbon.h)
endif()
if(WIN32)
#def file for correct 2.x exports
set(TQSLLIB_SRC ${TQSLLIB_SRC} "tqsllib2.def")
endif()

add_library(${TQSLLIBNAME} ${TQSLLIBTYPE} ${TQSLLIB_SRC} ${TQSLLIB_HDR} ${TQSLLIB_RCFILE})
target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${BDB_LIBRARIES} ${CARBON_LIBRARY})
include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${CARBON_INCLUDE_DIR})

if(NOT APPLE AND NOT WIN32)
set_source_files_properties(location.cpp PROPERTIES COMPILE_DEFINITIONS CONFDIR="${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/")
set(HEADERS_TO_INSTALL tqsllib.h tqslerrno.h cabrillo.h adif.h tqslconvert.h)
install(TARGETS tqsllib DESTINATION lib)
install(FILES config.xml DESTINATION share/TrustedQSL)
install(FILES ${HEADERS_TO_INSTALL} DESTINATION include)
endif()

option(BUILD_ALL_EXTRAPROGS "Build all extra programs")

if(BUILD_ALL_EXTRAPROGS)
set(BUILD_GENCRQ ON)
set(BUILD_LOADCERT ON)
set(BUILD_STATIONLOC ON)
set(BUILD_CONVERTER ON)

if(WIN32 AND (BUILD_GENCRQ OR BUILD_LOADCERT OR BUILD_STATIONLOC OR BUILD_CONVERTER))
message("I can't build the tqsllib programs on Windows yet. Disabling them...")
set(BUILD_GENCRQ OFF)
set(BUILD_LOADCERT OFF)
set(BUILD_STATIONLOC OFF)
set(BUILD_CONVERTER OFF)
endif()

else()
option(BUILD_GENCRQ "Build gen_crq")
option(BUILD_LOADCERT "Build load_cert")
option(BUILD_STATIONLOC "Build station_loc")
option(BUILD_CONVERTER "Build converter")

endif(BUILD_ALL_EXTRAPROGS)

if(BUILD_GENCRQ)
add_executable(gen_crq gen_crq.cpp)
target_link_libraries(gen_crq ${TQSLLIBNAME})
endif(BUILD_GENCRQ)

if(BUILD_LOADCERT)
add_executable(load_cert load_cert.cpp)
target_link_libraries(load_cert ${TQSLLIBNAME})
endif(BUILD_LOADCERT)

if(BUILD_STATIONLOC)
add_executable(station_loc station_loc.cpp)
target_link_libraries(station_loc ${TQSLLIBNAME})
endif(BUILD_STATIONLOC)

if(BUILD_CONVERTER)
add_executable(converter converter.cpp)
target_link_libraries(converter ${TQSLLIBNAME})
endif(BUILD_CONVERTER)

## trustedqsl 1.13

=== debian/changelog ===
trustedqsl (1.13-3) unstable; urgency=low

  * Create manpages: trustedqsl.5, tqsl.1, tqslcert.1 (LP: #480355).
  * debian/watch: refined version regexp.

 -- Kamal Mostafa <kamal@whence.com>  Thu, 31 Mar 2011 20:50:06 -0700

trustedqsl (1.13-2) unstable; urgency=low

  * 00-copy-LICENSE-to-COPYING.patch: create COPYING.
  * 01-fix-library-configure-checks.patch:
      Clean up library configure checks: rm {openssl, expat}, fix zlib to
      allow multi-arch libs [thanks Jonathan Marsden <jmarsden@fastmail.fm>].
  * 10-icons-key16-xpm.patch: import icons/key16.xpm from trustedqsl-1.11.
  * 99-update-generated-build-config.patch: autoconf, automake, libtool update.
  * Drop build-dep on unused {libexpat-dev, libssl-dev}.
  * debian/rules: install upstream ChangeLog.

 -- Kamal Mostafa <kamal@whence.com>  Sat, 26 Mar 2011 21:19:03 -0700

trustedqsl (1.13-1) unstable; urgency=low

  * Updating to latest upstream release.
  * Adding myself to the uploaders list.

 -- Jerry Stueve <k4int@arrl.net>  Mon,  4 Oct 2010 18:32:26 +0000

trustedqsl (1.11-8.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 16 Nov 2009 18:32:26 +0000

trustedqsl (1.11-8) unstable; urgency=low

  * Fix a couple of lintian warnings:
    - call dh_installdeb after calling dh_shlibdeps and dh_makeshlibs.
    - set debhelper compatibility version to 5.
    - update standards version.
    - install and create xpm files for the debian menu.
  * New icons for the desktop menu files, requires imagemagick when
    building the package.
  * Fix all compilation warnings, most of them fixed by changing
    'char *' to 'const char *'.
  * wxNotebookSizer is deprecated, we can now use wxNotebook directly.
  * Build against libwxgtk2.8-dev. tqslcert and tqsl have been ported
    to version 2.8 of libwxgtk.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 20 Mar 2009 23:17:57 +0100

trustedqsl (1.11-7) unstable; urgency=low

  * Enable check for libcrypto in configure.in, so we link with this
    library. Closes: #464278.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 20:23:40 +0100

trustedqsl (1.11-6) unstable; urgency=low

  * Tried a rebuild, the build errors starting with "undefined reference
    to `BIO_new_mem_buf'" seem to have gone. I have tried to figure out
    if any of the packages needed for building have been updated recently,
    could not find any relevant changes, sorry. Closes: #464278.
  * Added a main category to the desktop files.
  * Fix installation of icons, so they appear in the gnome menu.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 16:43:11 +0100

trustedqsl (1.11-5) unstable; urgency=low

  * Update config.{guess,sub} at build-time from autotools-dev
  * Added watch file to track new versions at sourceforge
  * Update to standards-revision 3.7.3
  * Added menu and desktop files
  * Changed build-depends to WxWidgets 2.6 (closes: #418713)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 23 Jan 2008 10:07:32 +1100

trustedqsl (1.11-4) unstable; urgency=low

  * Fix circular dependency in Makefile and autoreconf with the
    correct tool versions (ie automake 1.9 this time) and hope that
    the infinite loop doesn't reoccur .. :-| (closes: #341474)
  * tqsl should only open windows if not in batch mode (closes: #339560);
    thanks to John Mock KD6PAG for the patch
  * Reinstall the help files properly (closes: #278856)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 17 Dec 2005 18:26:36 +1100

trustedqsl (1.11-3) unstable; urgency=low

  * Rebuild against tqsllib1c2a due to g++ ABI change
  * Hack configure.in not to link directly to OpenSSL and expat and zlib,
    since they aren't used directly (only by tqsllib)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 27 Nov 2005 23:17:13 +1100

trustedqsl (1.11-2) unstable; urgency=low

  * Rebuild with g++-4.0/tqsllib 2.0-2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 07:39:23 +0000

trustedqsl (1.11-1) unstable; urgency=medium

  * New upstream release
  * Modified crqwiz.cpp to compile with gcc-4.0 (closes: #302544);
    thanks to Andreas Jochens for the patch
  * Build with new tqsllib 2.0
    * urgency=medium because the new tqsllib fixes an RC bug

 -- Hamish Moffatt <hamish@debian.org>  Wed, 27 Apr 2005 00:07:12 +1000

trustedqsl (1.10-3) unstable; urgency=low

  * Fix section of package (libs -> hamradio) (closes: #243544)
  * Rebuild with latest libwxgtk2.4 (closes: #221357)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 15 Aug 2004 16:35:07 +1000

trustedqsl (1.10-2) unstable; urgency=low

  * Add build-dep for zlib1g-dev (closes: #219058)
  * Renamed left and right xpms to resolve ambiguity problem
    at compile time (closes: #221538)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 31 Jan 2004 13:47:15 +1100

trustedqsl (1.10-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Wed, 22 Oct 2003 00:41:54 +1000

=== debian/control ===
Source: trustedqsl
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), tqsllib-dev (>= 2.2), libwxgtk2.8-dev, zlib1g-dev, autotools-dev, imagemagick
Homepage: http://sourceforge.net/trustedqsl/
Vcs-cvs: :pserver:anonymous@trustedqsl.cvs.sourceforge.net:/cvsroot/trustedqsl co -P tqsl
Vcs-Browser: http://trustedqsl.cvs.sourceforge.net/trustedqsl

Package: trustedqsl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QSL log signing for the Logbook of the World (LoTW)
 A QSL is a confirmation of contact between two amateur radio stations.
 The ARRL Logbook of the World project is a database which collects
 data about contacts between amateur stations (QSOs). This package 
 provides programs for maintaining your digital certificates for
 LOTW and for signing QSO log files in ADIF and Cabrillo format
 for upload.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	cp /usr/share/misc/config.sub $(CURDIR)
	cp /usr/share/misc/config.guess $(CURDIR)
	./configure --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.guess config.sub
	rm -f icons/tqsl.png
	dh_clean

reconf:
	AUTOMAKE="automake-1.9 --foreign" ACLOCAL="aclocal-1.9" autoreconf -v

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make install DESTDIR=`pwd`/debian/trustedqsl

	cp -a help debian/trustedqsl/usr/share/TrustedQSL
	cp debian/*.desktop debian/trustedqsl/usr/share/applications
	convert tqsl-key1.ico icons/tqsl.png
	cp icons/*.* debian/trustedqsl/usr/share/pixmaps
	cp ChangeLog \
	    debian/trustedqsl/usr/share/doc/trustedqsl/changelog

	# generate man pages, and place them for debian/trustedqsl.manpages
	mkdir -p debian/trustedqsl/tmp/man
	cp debian/trustedqsl.5 debian/trustedqsl/tmp/man
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSL 1/' < debian/trustedqsl.5  \
	    > debian/trustedqsl/tmp/man/tqsl.1
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSLCERT 1/' < debian/trustedqsl.5  \
	    > debian/trustedqsl/tmp/man/tqslcert.1
	dh_installman
	rm -r debian/trustedqsl/tmp/man

	dh_installdocs
	dh_installchangelogs
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

=== debian/watch ===
version=3
http://sf.net/trustedqsl/TrustedQSL-([0-9].*)\.tar\.gz

## trustedqsl 1.14.1

=== debian/changelog ===
trustedqsl (1.14.1-1) unstable; urgency=low

  * New upstream release
    - new application feature: direct upload to LoTW
    - build system converted to CMake
  * Debian packaging overhaul
    - upstream source now bundles tqsllib (unversioned libtqsllib.so in
        /usr/lib/trustedqsl/) so drop build-dep tqsllib-dev (>= 2.2)
    - omit header files from application package

 -- Kamal Mostafa <kamal@whence.com>  Sat, 01 Jun 2013 17:01:04 -0700

=== debian/control ===
Source: trustedqsl
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), cmake, libwxgtk2.8-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
Homepage: http://sourceforge.net/trustedqsl/
Vcs-Git: git://git.code.sf.net/p/trustedqsl/tqsl
Vcs-Browser: http://sourceforge.net/p/trustedqsl/tqsl/ci/master/tree/

Package: trustedqsl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QSL log signing for the Logbook of the World (LoTW)
 Open source libraries and utilities to support using digital signatures
 for amateur radio QSL information.
 .
 A QSL is a confirmation of contact between two amateur radio stations.
 The ARRL Logbook of the World project is a database which collects
 data about contacts between amateur stations (QSOs). This package 
 provides programs for maintaining your digital certificates for LoTW
 and for signing and uploading QSO log files.

=== debian/watch ===
version=3

# sane: TrustedQSL-1.13 ==> 1.13
http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz

# awful: tqsl-114.tar.gz ==> 1.14
http://sf.net/trustedqsl/tqsl-(\d)(\d+)\.tar\.gz

# even more awful: tqsl-114-1.tar.gz ==> 1.14.1
http://sf.net/trustedqsl/tqsl-(\d)(\d+)-(\d+)\.tar\.gz

## trustedqsl 1.14.2

=== debian/changelog ===
trustedqsl (1.14.2-1) unstable; urgency=low

  * New upstream release

 -- Kamal Mostafa <kamal@whence.com>  Wed, 12 Jun 2013 09:27:22 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), cmake, libwxgtk2.8-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
-Homepage: http://sourceforge.net/trustedqsl/
+Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: git://git.code.sf.net/p/trustedqsl/tqsl
 Vcs-Browser: http://sourceforge.net/p/trustedqsl/tqsl/ci/master/tree/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Omit the 5 header files that the build installs to /usr/include
	# (they would belong in a -dev package)
	dh_install
	rm -r debian/trustedqsl/usr/include

override_dh_installman:
	# Duplicate the trustedqsl man page for tqsl and tqslcert but fix their
	# sections for dh_installman (see debian/trustedqsl.manpages).
	mkdir -p debian/tmp
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSL 1/' < apps/trustedqsl.5  \
	    > debian/tmp/tqsl.1
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSLCERT 1/' < apps/trustedqsl.5  \
	    > debian/tmp/tqslcert.1
	dh_installman

=== debian/watch ===
version=3

# older versions, e.g. TrustedQSL-1.13 ==> 1.13
http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz

# newer versions (since 1.14.2) should work with standard sourceforge scanner
http://sf.net/trustedqsl/tqsl-(.*)\.tar\.gz

## trustedqsl 2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8 FATAL_ERROR)

project(TrustedQSL)

if(WIN32)
  set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
  # just windows for now... unix knows how to find libraries better
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
endif()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmakemodules/")

option(USE_STATIC_MSVCRT "Use a static Visual C++ Runtime when building with MSVC")

if(MSVC AND USE_STATIC_MSVCRT)
foreach(flag_var
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
   if(${flag_var} MATCHES "/MD")
      string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
   endif(${flag_var} MATCHES "/MD")
endforeach(flag_var)
endif()

add_subdirectory(src) #tqsllib
add_subdirectory(apps)

=== apps/CMakeLists.txt ===
project(tqsl)

set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")

string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})

if(WIN32)
set(wxWidgets_USE_STATIC ON)
add_definitions(-DCURL_STATICLIB)
add_definitions(-DXML_STATIC)
endif()

find_package(CURL REQUIRED)
find_package(EXPAT REQUIRED)

find_package(wxWidgets COMPONENTS core base adv html REQUIRED)

find_package(ZLIB REQUIRED)

include(${wxWidgets_USE_FILE})

if(APPLE)
find_library(CARBON_LIBRARY Carbon)
find_path(CARBON_INCLUDE_DIR Carbon.h)
endif()

include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR})

#get version from file

file(STRINGS "tqslversion.ver" TQSLVERSION)
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR TQSLVERSION)
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR TQSLVERSION)


#get build # with git

find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")

if(GIT_PROG) #we can use git
execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
	if(NOT GITERROR) #git ran alright
		set(BUILD ${HEAD_COMMIT})
	else()		# Git error - hope this is a source distro
		if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h)
			file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
			string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
		endif()
	endif()
else()	# No git, again grab from source
	if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h)
		file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
		string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
	endif()
endif()

# If BUILD is set (we have a version) and BUILDSTR is not (we got that build from
# git), then write a tqslbuild.h. Else leave it alone.
if(BUILD AND NOT BUILDSTR)
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
else() #hope this is a source distribution, which will always include a correct tqslbuild
	if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
		#but otherwise someone downloaded a snapshot without a buildfile
		set(BUILD "unknown")
		configure_file("${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/tqslbuild.h")
	endif()
endif()

set(TQSL_VERSION_MAJOR 2)
set(TQSL_VERSION_MINOR 0)
set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")

if(WIN32)
set(TQSLLIB_NAME tqsllib2)
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(TQSL_RCFILE "tqsl.rc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
else()
set(TQSLLIB_NAME tqsllib)
endif()

if(APPLE)
set(OSX_ICONFILE "tqslicons.icns")
set(MACOSX_BUNDLE_INFO_STRING "tqsl")
set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2013 American Radio Relay League")

set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
set(TQSL_RCFILE ${OSX_ICONFILE})
endif()

if(NOT WIN32) #rpath setup
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
endif()


set(TQSL_SRC tqsl.cpp extwizard.cpp tqslwiz.cpp dxcc.cpp stationdial.cpp
qsodatadialog.cpp tqslvalidator.cpp tqsl_prefs.cpp wxutil.cpp tqslhelp.cpp
crqwiz.cpp certtree.cpp getpassword.cpp loadcertwiz.cpp loctree.cpp)
set(TQSL_HDR tqslapp.h tqslwiz.h qsodatadialog.h tqslexcept.h
tqslpaths.h stationdial.h dxcc.h tqsl_prefs.h extwizard.h certtree.h
tqslvalidator.h tqslbuild.h tqslhelp.h certtree.h tqslctrls.h util.h
getpassword.h extwizard.h loadcertwiz.h wxutil.h loctree.h tqsltrace.h)
set(TQSL_XPM left.xpm right.xpm bottom.xpm top.xpm key.xpm cert.xpm nocert.xpm
broken-cert.xpm folder.xpm replaced.xpm expired.xpm home.xpm delete.xpm edit.xpm
loc_add_dis.xpm properties.xpm download_dis.xpm loc_add.xpm upload_dis.xpm
download.xpm file_edit_dis.xpm upload.xpm delete_dis.xpm edit_dis.xpm
file_edit.xpm properties_dis.xpm save.xpm import.xpm lotw.xpm)
add_executable(tqsl WIN32 MACOSX_BUNDLE ${TQSL_SRC} ${TQSL_HDR} ${TQSL_XPM} ${TQSL_RCFILE})

target_link_libraries(tqsl ${TQSLLIB_NAME}
  ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})

if(NOT APPLE AND NOT WIN32)
add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
install(TARGETS tqsl DESTINATION bin)
install(DIRECTORY help DESTINATION share/TrustedQSL)
install(FILES tqsl.5 DESTINATION share/man/man5)
install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 FIND_PACKAGE(BDB REQUIRED)
 
 set(TQSLLIB_VERSION_MAJOR 2)
-set(TQSLLIB_VERSION_MINOR 3)
+set(TQSLLIB_VERSION_MINOR 4)
 set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})

=== debian/changelog ===
trustedqsl (2.0-1) unstable; urgency=low

  * New upstream release
    - tqslcert app is no longer provided

 -- Kamal Mostafa <kamal@whence.com>  Mon, 11 Nov 2013 10:56:18 -0800

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,6 @@
  A QSL is a confirmation of contact between two amateur radio stations.
  The ARRL Logbook of the World project is a database which collects
  data about contacts between amateur stations (QSOs). This package 
- provides programs for maintaining your digital certificates for LoTW
- and for signing and uploading QSO log files.
+ provides the 'tqsl' program for maintaining your digital certificates
+ for LoTW and signing and uploading QSO log files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Omit the 5 header files that the build installs to /usr/include
	# (they would belong in a -dev package)
	dh_install
	rm -r debian/trustedqsl/usr/include

override_dh_installman:
	# Duplicate the tqsl.5 man page for tqsl.1 but fix its section
       	# for dh_installman (see debian/trustedqsl.manpages).
	mkdir -p debian/tmp
	sed 's/^\.TH TQSL 5/.TH TQSL 1/' < apps/tqsl.5  \
	    > debian/tmp/tqsl.1
	dh_installman

## trustedqsl 2.0.2b

=== debian/changelog ===
trustedqsl (2.0.2b-1) unstable; urgency=medium

  * New upstream "final v2.0.2" release
     - Debian "2.0.2b" corresponds to the changed upstream tqsl-2.0.2.tar.gz
       released on 2014-07-12.

 -- Kamal Mostafa <kamal@whence.com>  Sun, 13 Jul 2014 09:15:46 -0700

trustedqsl (2.0.2-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (02-wx3.0-compat.patch). Closes: #750084

 -- Kamal Mostafa <kamal@whence.com>  Thu, 19 Jun 2014 17:43:09 -0700

trustedqsl (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * Debian packaging
     - updated 01-install-libtqsllib-so-in-usr-lib-trustedqsl.patch
     - bumped standards version

 -- Kamal Mostafa <kamal@whence.com>  Wed, 16 Apr 2014 09:34:55 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), cmake, libwxgtk2.8-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), cmake, libwxgtk3.0-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
 Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: git://git.code.sf.net/p/trustedqsl/tqsl
 Vcs-Browser: http://sourceforge.net/p/trustedqsl/tqsl/ci/master/tree/

## trustedqsl 2.0.3

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})
 
 if(WIN32)
-set(wxWidgets_USE_STATIC ON)
-add_definitions(-DCURL_STATICLIB)
-add_definitions(-DXML_STATIC)
+	set(wxWidgets_USE_STATIC ON)
+	add_definitions(-DCURL_STATICLIB)
+	add_definitions(-DXML_STATIC)
 endif()
 
 find_package(CURL REQUIRED)
@@ -20,8 +20,8 @@
 include(${wxWidgets_USE_FILE})
 
 if(APPLE)
-find_library(CARBON_LIBRARY Carbon)
-find_path(CARBON_INCLUDE_DIR Carbon.h)
+	find_library(CARBON_LIBRARY Carbon)
+	find_path(CARBON_INCLUDE_DIR Carbon.h)
 endif()
 
 include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR})
@@ -29,16 +29,23 @@
 #get version from file
 
 file(STRINGS "tqslversion.ver" TQSLVERSION)
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR TQSLVERSION)
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR TQSLVERSION)
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})
 
+# Handle case where version number does not have an update i.e. 2.0
+if (TQSL_VERSION_MAJOR STREQUAL ${TQSLVERSION}) 
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+	set(TQSL_VERSION_UPDATE "0")
+endif()
 
 #get build # with git
 
 find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")
 
 if(GIT_PROG) #we can use git
-execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
+	execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
 	if(NOT GITERROR) #git ran alright
 		set(BUILD ${HEAD_COMMIT})
 	else()		# Git error - hope this is a source distro
@@ -66,37 +73,57 @@
 	endif()
 endif()
 
-set(TQSL_VERSION_MAJOR 2)
-set(TQSL_VERSION_MINOR 0)
-set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+# In case the versions couldn't be deduced, set them
+if(NOT ${TQSL_VERSION_MAJOR})
+	set(TQSL_VERSION_MAJOR 2)
+endif()
+
+if(NOT TQSL_VERSION_MINOR)
+	set(TQSL_VERSION_MINOR 0)
+endif()
+
+if (NOT TQSL_VERSION_UPDATE)
+	set(TQSL_VERSION_UPDATE 2)
+endif()
+
+IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}")
+else()
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+endif()
+
+if(${BUILD} MATCHES "-(alpha|beta|test|rc[0-9])")
+	message("${BUILD} is a test build")
+	add_definitions(-DTQSL_TEST_BUILD)
+endif()
 
 if(WIN32)
-set(TQSLLIB_NAME tqsllib2)
-set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
-set(TQSL_RCFILE "tqsl.rc")
-configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
+	set(TQSLLIB_NAME tqsllib2)
+	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
+	set(TQSL_RCFILE "tqsl.rc")
+	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
 else()
-set(TQSLLIB_NAME tqsllib)
+	set(TQSLLIB_NAME tqsllib)
 endif()
 
 if(APPLE)
-set(OSX_ICONFILE "tqslicons.icns")
-set(MACOSX_BUNDLE_INFO_STRING "tqsl")
-set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
-set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
-set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2013 American Radio Relay League")
+	set(OSX_ICONFILE "tqslicons.icns")
+	set(MACOSX_BUNDLE_INFO_STRING "tqsl")
+	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
+	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
+	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2014 American Radio Relay League")
 
-set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
-SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
-set(TQSL_RCFILE ${OSX_ICONFILE})
+	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
+	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+	set(TQSL_RCFILE ${OSX_ICONFILE})
 endif()
 
 if(NOT WIN32) #rpath setup
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
+	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
 endif()
 
 
@@ -118,9 +145,10 @@
   ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})
 
 if(NOT APPLE AND NOT WIN32)
-add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
-install(TARGETS tqsl DESTINATION bin)
-install(DIRECTORY help DESTINATION share/TrustedQSL)
-install(FILES tqsl.5 DESTINATION share/man/man5)
-install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
+	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
+	install(TARGETS tqsl DESTINATION bin)
+	install(DIRECTORY help DESTINATION share/TrustedQSL)
+	install(FILES ca-bundle.crt DESTINATION share/TrustedQSL)
+	install(FILES tqsl.5 DESTINATION share/man/man5)
+	install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
 endif()

=== debian/changelog ===
trustedqsl (2.0.3-2build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:28:51 +0200

trustedqsl (2.0.3-2) unstable; urgency=medium

  * Fix segfault when attempting to edit or add a station location,
    thanks to olly@survex.com  Closes: #759224
  * Bump standards version to 3.9.6

 -- Colin Tuckley <colint@debian.org>  Thu, 09 Oct 2014 14:20:08 +0100

trustedqsl (2.0.3-1) unstable; urgency=medium

  * New Upstream Release.

 -- Colin Tuckley <colint@debian.org>  Wed, 03 Sep 2014 13:41:00 +0100

## trustedqsl 2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 endif()
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmakemodules/")
+find_package(OptionalAddSubdirectory REQUIRED)
 
 option(USE_STATIC_MSVCRT "Use a static Visual C++ Runtime when building with MSVC")
 
@@ -26,3 +27,4 @@
 
 add_subdirectory(src) #tqsllib
 add_subdirectory(apps)
+macro_optional_add_subdirectory(tests)

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -79,11 +79,11 @@
 endif()
 
 if(NOT TQSL_VERSION_MINOR)
-	set(TQSL_VERSION_MINOR 0)
+	set(TQSL_VERSION_MINOR 1)
 endif()
 
 if (NOT TQSL_VERSION_UPDATE)
-	set(TQSL_VERSION_UPDATE 2)
+	set(TQSL_VERSION_UPDATE 0)
 endif()
 
 IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
@@ -112,7 +112,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2014 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2015 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -148,7 +148,22 @@
 	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
 	install(TARGETS tqsl DESTINATION bin)
 	install(DIRECTORY help DESTINATION share/TrustedQSL)
-	install(FILES ca-bundle.crt DESTINATION share/TrustedQSL)
-	install(FILES tqsl.5 DESTINATION share/man/man5)
+	if (CMAKE_INSTALL_PREFIX STREQUAL "/usr")
+		install(FILES tqsl.5 DESTINATION share/man/man5)
+	else()
+		install(FILES tqsl.5 DESTINATION man/man5)
+	endif()
 	install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
+	install(FILES lang/de/tqslapp.mo DESTINATION share/locale/de/LC_MESSAGES)
+	install(FILES lang/de/wxstd.mo DESTINATION share/locale/de/LC_MESSAGES)
+	install(FILES lang/es/tqslapp.mo DESTINATION share/locale/es/LC_MESSAGES)
+	install(FILES lang/es/wxstd.mo DESTINATION share/locale/es/LC_MESSAGES)
+	install(FILES lang/fr/tqslapp.mo DESTINATION share/locale/fr/LC_MESSAGES)
+	install(FILES lang/fr/wxstd.mo DESTINATION share/locale/fr/LC_MESSAGES)
+	install(FILES lang/it/tqslapp.mo DESTINATION share/locale/it/LC_MESSAGES)
+	install(FILES lang/it/wxstd.mo DESTINATION share/locale/it/LC_MESSAGES)
+	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
+	install(FILES lang/ja/wxstd.mo DESTINATION share/locale/ja/LC_MESSAGES)
+	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
+	install(FILES lang/pt/wxstd.mo DESTINATION share/locale/pt/LC_MESSAGES)
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 FIND_PACKAGE(BDB REQUIRED)
 
 set(TQSLLIB_VERSION_MAJOR 2)
-set(TQSLLIB_VERSION_MINOR 4)
+set(TQSLLIB_VERSION_MINOR 5)
 set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})

=== debian/changelog ===
trustedqsl (2.2-2) unstable; urgency=medium

  * Debian packaging
     - 04-do-not-install-wxstd-mo-files.patch (Closes: #813344)

 -- Kamal Mostafa <kamal@whence.com>  Sun, 31 Jan 2016 14:24:40 -0800

trustedqsl (2.2-1) unstable; urgency=medium

  * New upstream release
     - no longer ships ca-bundle.crt (Closes: #748963)
  * Debian packaging
     - drop trustedqsl.{menu,xpm} per W: command-in-menu-file-and-desktop-file
     - drop 02-wx3.0-compat.patch (merged upstream)
     - upstream patches from 2.2.1-alpha:
         02-863a887-Fix-improper-handling-of-certificate-import-causing-.patch
         03-ea590af-Fix-improper-handling-of-certificate-import-causing-.patch

 -- Kamal Mostafa <kamal@whence.com>  Fri, 29 Jan 2016 13:37:43 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
-Standards-Version: 3.9.5
+Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>, Colin Tuckley <colint@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), cmake, libwxgtk3.0-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
 Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: git://git.code.sf.net/p/trustedqsl/tqsl

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Disable WXDEBUG assertions, which are on by default in wx3.0.
+export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
 %:
 	dh $@

=== debian/watch ===
version=3

# older versions, e.g. TrustedQSL-1.13 ==> 1.13
#http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz

# newer versions (since 1.14.2) should work with standard sourceforge scanner
http://sf.net/trustedqsl/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trustedqsl 2.2.1

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -155,15 +155,9 @@
 	endif()
 	install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
 	install(FILES lang/de/tqslapp.mo DESTINATION share/locale/de/LC_MESSAGES)
-	install(FILES lang/de/wxstd.mo DESTINATION share/locale/de/LC_MESSAGES)
 	install(FILES lang/es/tqslapp.mo DESTINATION share/locale/es/LC_MESSAGES)
-	install(FILES lang/es/wxstd.mo DESTINATION share/locale/es/LC_MESSAGES)
 	install(FILES lang/fr/tqslapp.mo DESTINATION share/locale/fr/LC_MESSAGES)
-	install(FILES lang/fr/wxstd.mo DESTINATION share/locale/fr/LC_MESSAGES)
 	install(FILES lang/it/tqslapp.mo DESTINATION share/locale/it/LC_MESSAGES)
-	install(FILES lang/it/wxstd.mo DESTINATION share/locale/it/LC_MESSAGES)
 	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
-	install(FILES lang/ja/wxstd.mo DESTINATION share/locale/ja/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
-	install(FILES lang/pt/wxstd.mo DESTINATION share/locale/pt/LC_MESSAGES)
 endif()

=== debian/changelog ===
trustedqsl (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.8 (No changes required)

 -- Colin Tuckley <colint@debian.org>  Tue, 03 May 2016 11:49:30 +0100

## trustedqsl 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
 
 project(TrustedQSL)
+
+if ( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
+  ADD_COMPILE_OPTIONS("-fPIC")
+endif( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
 
 if(WIN32)
   set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -112,7 +112,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2015 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2016 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -160,4 +160,5 @@
 	install(FILES lang/it/tqslapp.mo DESTINATION share/locale/it/LC_MESSAGES)
 	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
+	install(FILES lang/zh/tqslapp.mo DESTINATION share/locale/zh/LC_MESSAGES)
 endif()

=== debian/changelog ===
trustedqsl (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Debian packaging:
    - clean up old unused debian/patches (previously merged upstream)
    - Fix FTBFS: 02-Fix-wxWidgets-argv-ambiguous-overload-for-gcc-5-6.patch

 -- Kamal Mostafa <kamal@whence.com>  Sat, 02 Jul 2016 10:36:36 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>, Colin Tuckley <colint@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), cmake, libwxgtk3.0-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
 Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: git://git.code.sf.net/p/trustedqsl/tqsl
-Vcs-Browser: http://sourceforge.net/p/trustedqsl/tqsl/ci/master/tree/
+Vcs-Browser: https://sourceforge.net/p/trustedqsl/tqsl/ci/master/tree/
 
 Package: trustedqsl
 Architecture: any

## trustedqsl 2.3

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -161,4 +161,5 @@
 	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
 	install(FILES lang/zh/tqslapp.mo DESTINATION share/locale/zh/LC_MESSAGES)
+	install(FILES lang/ru/tqslapp.mo DESTINATION share/locale/ru/LC_MESSAGES)
 endif()

=== debian/changelog ===
trustedqsl (2.3-1) unstable; urgency=high

  * New upstream release
    - fix FTBFS with openssl 1.1.0 (Closes: #828580)
    - fix localization support (Closes: #833019)
  * Debian packaging:
    - drop 02-Fix-wxWidgets-argv-ambiguous-overload-for-gcc-5-6.patch (upstream)
    - add openssl patches from upstream 2.3.1-beta:
        - 0001-Another-OpenSSL-1.1-fix.patch
        - 0001-Allow-TQSL-to-build-on-a-system-with-only-OpenSSL-1..patch
    - update debian/watch to http://www.arrl.org/tqsl-download
    - update uploaders: Hamish Moffatt has retired (Closes: #831486, #831487)

 -- Kamal Mostafa <kamal@whence.com>  Tue, 22 Nov 2016 09:16:57 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>, Colin Tuckley <colint@debian.org>
+Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Jerry Stueve <k4int@arrl.net>, Colin Tuckley <colint@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), cmake, libwxgtk3.0-dev, zlib1g-dev, libexpat1-dev, libssl-dev, libdb-dev, libcurl4-openssl-dev
 Homepage: http://sourceforge.net/projects/trustedqsl/
